Skip to main content
POST
/
organization
/
{organizationId}
/
gitToken
Create a git token
curl --request POST \
  --url https://api.qovery.com/organization/{organizationId}/gitToken \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "type": "BITBUCKET",
  "token": "<string>",
  "description": "<string>",
  "workspace": "<string>",
  "git_api_url": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "type": "BITBUCKET",
  "associated_services_count": 123,
  "git_api_url": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "expired_at": "2023-12-25",
  "workspace": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://qovery-feat-new-navigation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

Body

application/json
name
string
required
type
enum<string>
required
Available options:
BITBUCKET,
GITHUB,
GITLAB
token
string
required

The token from your git provider side

description
string
workspace
string

Mandatory only for BITBUCKET git provider, to allow us to fetch repositories at creation/edition of a service

git_api_url
string<uri>

custom git api url for the given git provider/type. I.e: Self-hosted version of Gitlab

Response

Git token created

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
name
string
required
type
enum<string>
required
Available options:
BITBUCKET,
GITHUB,
GITLAB
associated_services_count
number
required

The number of services using this git token

git_api_url
string<uri>
required
updated_at
string<date-time>
read-only
description
string
expired_at
string<date>
workspace
string

Mandatory only for BITBUCKET git provider